Clazz.declarePackage ("net.sf.j2s.examples");
net.sf.j2s.examples.RSSReader = function () {
Clazz.instantialize (this, arguments);
};
net.sf.j2s.examples.RSSReader.__CLASS_NAME__ = net.sf.j2s.examples.RSSReader.prototype.__CLASS_NAME__ = "net.sf.j2s.examples.RSSReader";
Clazz.defineMethod (net.sf.j2s.examples.RSSReader, "main", 
function (args) {
var display =  new org.eclipse.swt.widgets.Display ();
var shell =  new org.eclipse.swt.widgets.Shell (display);
shell.setMaximized (true);
shell.setText ("wHizzNotes RSS Reader (J2S AJAX)");
shell.setLayout ( new org.eclipse.swt.layout.FillLayout ());
var form =  new org.eclipse.swt.custom.SashForm (shell, org.eclipse.swt.SWT.HORIZONTAL);
form.setLayout ( new org.eclipse.swt.layout.FillLayout ());
var outlinePanel =  new org.eclipse.swt.widgets.Composite (form, org.eclipse.swt.SWT.NONE);
outlinePanel.setLayout ( new org.eclipse.swt.layout.FillLayout ());
var outline =  new org.eclipse.swt.widgets.Tree (outlinePanel, org.eclipse.swt.SWT.BORDER);
var RSS_PREFIX = "http://idwhiz.vicp.net/whizznotes/rss/";
var HTML_PREFIX = "http://idwhiz.vicp.net/whizznotes/xhtml/";
var roots = [RSS_PREFIX + "1.xml"];
for (var i = 0; i < roots.length; i++) {
var root =  new org.eclipse.swt.widgets.TreeItem (outline, 0);
root.setText ("wHizzNotes");
root.setData (roots[i]);
 new org.eclipse.swt.widgets.TreeItem (root, 0);
}
var contentPanel =  new org.eclipse.swt.widgets.Composite (form, org.eclipse.swt.SWT.NONE);
contentPanel.setLayout ( new org.eclipse.swt.layout.FillLayout ());
var browser =  new org.eclipse.swt.browser.Browser (contentPanel, org.eclipse.swt.SWT.BORDER);
outline.addListener (org.eclipse.swt.SWT.Expand, (function (innerThis, finalVars) {
if (!Clazz.isClassDefined ("net.sf.j2s.examples.RSSReader$1")) {
net.sf.j2s.examples.RSSReader$1 = function () {
Clazz.prepareCallback (this, arguments[0]);
for (var i = 0; i < arguments.length - 1; i++) {
arguments[i] = arguments[i + 1];
}
arguments.length--;
Clazz.defineMethod (net.sf.j2s.examples.RSSReader$1, "handleEvent", 
function (event) {
var root = event.item;
var items = root.getItems ();
for (var i = 0; i < items.length; i++) {
if (items[i].getData () != null) {
return ;
}items[i].dispose ();
}
var url = root.getData ();
var request =  new ajax.HttpRequest ();
request.open ("GET", url, true);
request.registerOnReadyStateChange ((function (innerThis, finalVars) {
if (!Clazz.isClassDefined ("net.sf.j2s.examples.RSSReader$1$2")) {
net.sf.j2s.examples.RSSReader$1$2 = function () {
Clazz.prepareCallback (this, arguments[0]);
for (var i = 0; i < arguments.length - 1; i++) {
arguments[i] = arguments[i + 1];
}
arguments.length--;
Clazz.defineMethod (net.sf.j2s.examples.RSSReader$1$2, "swtOnComplete", 
function () {
var xitems = this.$finals.request.getResponseXML ().getElementsByTagName ("item");
for (var i = 0; i < xitems.length; i++) {
var item = xitems.item (i);
var titles = item.getElementsByTagName ("title");
var title = titles.item (0);
var titleLabel = title.firstChild.nodeValue;
var htmlURL = item.getElementsByTagName ("link");
var link = htmlURL.item (0);
var url = link.firstChild.nodeValue;
url = this.$finals.RSS_PREFIX + url.substring (url.lastIndexOf ("/") + 1, url.lastIndexOf (".")) + ".xml";
var treeItem =  new org.eclipse.swt.widgets.TreeItem (this.$finals.root, 0);
treeItem.setText (titleLabel);
treeItem.setData (url);
var t =  new org.eclipse.swt.widgets.TreeItem (treeItem, 0);
}
this.$finals.root.setExpanded (true);
});
Clazz.instantialize (this, arguments);
};
Clazz.inheritClass (net.sf.j2s.examples.RSSReader$1$2, net.sf.j2s.examples.HttpRequestCallBackSWTAdapter);
net.sf.j2s.examples.RSSReader$1$2.__CLASS_NAME__ = net.sf.j2s.examples.RSSReader$1$2.prototype.__CLASS_NAME__ = "net.sf.j2s.examples.RSSReader$1$2";
}
return Clazz.innerTypeInstance (net.sf.j2s.examples.RSSReader$1$2, innerThis, finalVars);
}) (this, Clazz.cloneFinals ("display", this.$finals.display, "outline", this.$finals.outline, "RSS_PREFIX", this.$finals.RSS_PREFIX, "HTML_PREFIX", this.$finals.HTML_PREFIX, "contentPanel", this.$finals.contentPanel, "browser", this.$finals.browser, "event", event, "root", root, "request", request)));
request.send ();
}, "org.eclipse.swt.widgets.Event");
Clazz.instantialize (this, arguments);
};
Clazz.implementOf (net.sf.j2s.examples.RSSReader$1, org.eclipse.swt.widgets.Listener);
net.sf.j2s.examples.RSSReader$1.__CLASS_NAME__ = net.sf.j2s.examples.RSSReader$1.prototype.__CLASS_NAME__ = "net.sf.j2s.examples.RSSReader$1";
}
return Clazz.innerTypeInstance (net.sf.j2s.examples.RSSReader$1, innerThis, finalVars);
}) (this, Clazz.cloneFinals ("display", display, "outline", outline, "RSS_PREFIX", RSS_PREFIX, "HTML_PREFIX", HTML_PREFIX, "contentPanel", contentPanel, "browser", browser)));
outline.addSelectionListener ((function (innerThis, finalVars) {
if (!Clazz.isClassDefined ("net.sf.j2s.examples.RSSReader$3")) {
net.sf.j2s.examples.RSSReader$3 = function () {
Clazz.prepareCallback (this, arguments[0]);
for (var i = 0; i < arguments.length - 1; i++) {
arguments[i] = arguments[i + 1];
}
arguments.length--;
Clazz.defineMethod (net.sf.j2s.examples.RSSReader$3, "widgetSelected", 
function (e) {
var url = this.$finals.outline.getSelection ()[0].getData ();
url = this.$finals.HTML_PREFIX + url.substring (url.lastIndexOf ("/") + 1, url.lastIndexOf (".")) + ".html";
this.$finals.browser.setUrl (url);
}, "org.eclipse.swt.events.SelectionEvent");
Clazz.instantialize (this, arguments);
};
Clazz.inheritClass (net.sf.j2s.examples.RSSReader$3, org.eclipse.swt.events.SelectionAdapter);
net.sf.j2s.examples.RSSReader$3.__CLASS_NAME__ = net.sf.j2s.examples.RSSReader$3.prototype.__CLASS_NAME__ = "net.sf.j2s.examples.RSSReader$3";
}
return Clazz.innerTypeInstance (net.sf.j2s.examples.RSSReader$3, innerThis, finalVars);
}) (this, Clazz.cloneFinals ("display", display, "outline", outline, "RSS_PREFIX", RSS_PREFIX, "HTML_PREFIX", HTML_PREFIX, "contentPanel", contentPanel, "browser", browser)));
form.setWeights ([32, 68]);
shell.open ();
while (!shell.isDisposed ()) {
if (!display.readAndDispatch ()) display.sleep ();
}
display.dispose ();
}, "Array");
net.sf.j2s.examples.RSSReader.main = net.sf.j2s.examples.RSSReader.prototype.main;
